import machine
import kooka
import time
import fonts
from machine import Pin

def onewire_ds18_read_temp(p):
    import onewire, ds18x20
    ds = ds18x20.DS18X20(onewire.OneWire(Pin(p, Pin.PULL_UP)))
    roms = ds.scan()
    if not roms: return -100
    ds.convert_temp()
    time.sleep(0.75)
    return ds.read_temp(roms[0])


_timer2000 = time.ticks_ms()
while True:
    if time.ticks_diff(time.ticks_ms(), _timer2000) >= 0:
        _timer2000 += 2000
        kooka.display.fill(0)
        kooka.display.setfont(fonts.mono8x8)
        kooka.display.print('DST18B20', show=0)
        kooka.display.print('Temp =', "{:5.2f}".format(onewire_ds18_read_temp("P1")), show=0)
        kooka.display.setfont(fonts.mono6x7)
        kooka.display.text(str('Sensor in P1'), int(0), int(40), int(1))
        kooka.display.text(str('Exit - Button A '), int(0), int(50), int(1))
        kooka.display.show()
    if kooka.button_a.was_pressed():
        raise SystemExit
    kooka.display.show()
    machine.idle()

# Generated Blockly XML follows
# <xml xmlns="https://developers.google.com/blockly/xml"><block type="event_button_was_pressed" id="_`-yWfzqS^6j3$,FqbOH" x="-430" y="-330"><field name="BUTTON">kooka.button_a.was_pressed()</field><statement name="DO"><block type="exit_program" id="sr|VS$S7$1D0~~JnhFfT"/></statement></block><block type="event_every_seconds" id="j#Z4H79=Bx:th354XWz?" x="-430" y="-230"><field name="T">2</field><statement name="DO"><block type="display_clear" id="s%AWfVJ^44?e~QAWZ62A"><next><block type="display_setfont" id="DJ,(c6/,yF=I_4,2l]$p"><field name="FONT">mono8x8</field><next><block type="display_print" id="-l1L}JyQ5^Vi]DuHuJNl"><value name="VALUE"><shadow type="text" id="I`+-y@`]h[9q3/25w(QV"><field name="TEXT">DST18B20</field></shadow></value><next><block type="display_print2" id="X.+dp7dIh9C=aah=c#2p"><value name="VALUE1"><shadow type="text" id="]o8A`YE=(6w=Zf$:czK:"><field name="TEXT">Temp =</field></shadow></value><value name="VALUE2"><shadow type="math_number" id="{wyk;y,|Y-t=4vari#*1"><field name="NUM">123</field></shadow><block type="str_format_float" id="d3(oBP^%T8{hV)G5a^:`"><field name="D">2</field><field name="W">5</field><value name="VALUE"><block type="onewire_ds18_read_temp" id="87q,ShS-Q6,%PfODo2*Z"><field name="PIN">P1</field></block></value></block></value><next><block type="display_setfont" id="z7}IcP~yO3Oo:[:?gDzK"><field name="FONT">mono6x7</field><next><block type="display_text" id="uWwGZUiHoi$+M^~7pKhr"><value name="VALUE"><shadow type="text" id="l41^,TBJVThC)[!+a,t9"><field name="TEXT">Sensor in P1</field></shadow></value><value name="X"><shadow type="math_number" id="hr`XEj|A)YtyqEUSh)]5"><field name="NUM">0</field></shadow></value><value name="Y"><shadow type="math_number" id=";fQW(I/h|dI=ru~?!DXY"><field name="NUM">40</field></shadow></value><value name="C"><shadow type="math_number" id="RfTU|{p{?_k1`k8]$l;6"><field name="NUM">1</field></shadow></value><next><block type="display_text" id="uj$.|,=;#_u#LMMRcCh)"><value name="VALUE"><shadow type="text" id="(9j*HS1kLg{}ro25$uh~"><field name="TEXT">Exit - Button A </field></shadow></value><value name="X"><shadow type="math_number" id="-L)5+cqT[uS(?i{uj^xE"><field name="NUM">0</field></shadow></value><value name="Y"><shadow type="math_number" id="%nc53f8xQz]UHOXmQH3?"><field name="NUM">50</field></shadow></value><value name="C"><shadow type="math_number" id="QCOQ7XoJaGWTN%9XnBVV"><field name="NUM">1</field></shadow></value><next><block type="display_show" id="!D1xODVk%Zn?$41rMncC"/></next></block></next></block></next></block></next></block></next></block></next></block></next></block></statement></block></xml>
