import machine
import kooka
import time

dust_reading = None


from machine import UART
import sds011
uart = UART(1, 9600)
uart.init(9600, bits=8, parity=None, stop=1)
dust_sensor = sds011.SDS011(uart)
while not kooka.button_a.was_pressed():
    kooka.display.fill(0)
    kooka.display.print('Particles', show=0)
    dust_reading = False
    if dust_sensor.read():
        kooka.display.print('PM2.5 =', "{:5.2f}".format(dust_sensor.pm25), show=0)
        kooka.display.print('PM10 =', "{:5.2f}".format(dust_sensor.pm10), show=0)
    else:
        kooka.display.print('No reply', show=0)
    kooka.display.show()
    time.sleep(1)

kooka.display.show()

# Generated Blockly XML follows
# <xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="1*QDrq0j2!Z7[Ri+LkJQ">dust_reading</variable></variables><block type="py_stmt" id="KP0Wvt@Zb563|0{X/EV." x="-190" y="-550"><field name="STMT">from machine import UART</field><next><block type="py_stmt" id="X#kRJ$1zZjxjl;2Vh6P]"><field name="STMT">import sds011</field><next><block type="py_stmt" id="A{;K*(rAr.1ynqz`H0gU"><field name="STMT">uart = UART(1, 9600)</field><next><block type="py_stmt" id="D#(^-v6gHc4=D]xR97Bh"><field name="STMT">uart.init(9600, bits=8, parity=None, stop=1)</field><next><block type="py_stmt" id="1t~Gny{LQ5fQ#9T6s-1t"><field name="STMT">dust_sensor = sds011.SDS011(uart)</field><next><block type="controls_whileUntil" id="5(#NBx7Rh]c)wP%h)~gY"><field name="MODE">WHILE</field><value name="BOOL"><block type="logic_negate" id=".WgxI7~bOiC,Tl{8qu{u"><value name="BOOL"><block type="button_was_pressed" id="*.M0Ctw~mXUw,r$PC^2g"><field name="BUTTON">kooka.button_a.was_pressed()</field></block></value></block></value><statement name="DO"><block type="display_clear" id="6Mm]y4UB!A8It(s?K)lP"><next><block type="display_print" id="9YG^qu0Mp:BHv!fj71y?"><value name="VALUE"><shadow type="text" id="(n_{++,#uz.+xS3K(vvu"><field name="TEXT">Particles</field></shadow></value><next><block type="variables_set" id="SnDKtl0/*2(+qB+N*O/i"><field name="VAR" id="1*QDrq0j2!Z7[Ri+LkJQ">dust_reading</field><value name="VALUE"><block type="logic_boolean" id="}W2-4%B.4gC/z-9fP6}C"><field name="BOOL">FALSE</field></block></value><next><block type="controls_if" id="=f;bc|`SidoJ1oB@NJ3M"><mutation else="1"/><value name="IF0"><block type="py_expr" id="W}cg1(lMqU*rj$9H?oU5"><field name="EXPR">dust_sensor.read()</field></block></value><statement name="DO0"><block type="display_print2" id="ej_5HjR0_2[EC8$no8/+"><value name="VALUE1"><shadow type="text" id="twT-dK,KxcG+tDXaU%A_"><field name="TEXT">PM2.5 =</field></shadow></value><value name="VALUE2"><shadow type="math_number" id="+7g{IQ5kBZ:}B=Pb*V|G"><field name="NUM">123</field></shadow><block type="str_format_float" id="8x4:#lgD}IGI{$@`}gDD"><field name="D">2</field><field name="W">5</field><value name="VALUE"><block type="py_expr" id="_RI]K%mHQ+MBrQ*(k=){"><field name="EXPR">dust_sensor.pm25</field></block></value></block></value><next><block type="display_print2" id="iy~A?nrogcYGR^IxCvm5"><value name="VALUE1"><shadow type="text" id="]:umEbHd_jI6Mz5;3(kJ"><field name="TEXT">PM10 =</field></shadow></value><value name="VALUE2"><shadow type="math_number" id="xMa/*UuL^Jf+SWrq{68e"><field name="NUM">123</field></shadow><block type="str_format_float" id="a$hx?L(+O{8]$t(`B@mb"><field name="D">2</field><field name="W">5</field><value name="VALUE"><block type="py_expr" id="Yw*Di:wjM{Vt!+EyKB8E"><field name="EXPR">dust_sensor.pm10</field></block></value></block></value></block></next></block></statement><statement name="ELSE"><block type="display_print" id="x,0%8(ZQJd)z(}yDl[_L"><value name="VALUE"><shadow type="text" id="[hI,8JY$Ned)}n$fo:Et"><field name="TEXT">No reply</field></shadow></value></block></statement><next><block type="display_show" id="uOWzNPdLL@;Ab{K/Weu("><next><block type="time_sleep" id="NR3xbW1W%%[bus/Q^x2e"><value name="VALUE"><shadow type="math_number" id="bPRym4fVJ?0~/IpS)OEa"><field name="NUM">1</field></shadow></value></block></next></block></next></block></next></block></next></block></next></block></statement></block></next></block></next></block></next></block></next></block></next></block></xml>
