import machine
import kooka
import time

i = None

neopixel_P1 = (machine.Pin("P1", machine.Pin.OUT), bytearray(3))

def neopixel_set(np, *rgbs):
    for i in range(0, len(rgbs), 2):
        idx = (rgbs[i] - 1) * 3
        if idx < 0: continue
        np[1].extend(b"\x00" * ((idx + 3) - len(np[1])))
        rgb = rgbs[i + 1]
        if isinstance(rgb, str):
            if not (rgb.startswith("#") and len(rgb) == 7): continue
            rgb = int(rgb[1:], 16)
        np[1][idx + 1] = rgb >> 16
        np[1][idx + 0] = rgb >> 8
        np[1][idx + 2] = rgb
    kooka.neopixel_write(np[0], (510, 900, 900, 450), np[1])


_timer1000 = time.ticks_ms()
while True:
    if time.ticks_diff(time.ticks_ms(), _timer1000) >= 0:
        _timer1000 += 1000
        for i in range(1, 9):
            neopixel_set(neopixel_P1, i, i * 20)
            time.sleep(0.1)
        time.sleep(0.5)
        for i in range(8, 0, -1):
            neopixel_set(neopixel_P1, i, '#000000')
            time.sleep(0.02)
    machine.idle()

# Generated Blockly XML follows
# <xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="z6,7,5:s$x|U9LG=pV#=">i</variable></variables><block type="event_every_seconds" id="|cAVc5Yl|am4,P81,h?|" x="70" y="70"><field name="T">1</field><statement name="DO"><block type="controls_for" id="{cW;V8V*#?wUheX}]M]w"><field name="VAR" id="z6,7,5:s$x|U9LG=pV#=">i</field><value name="FROM"><block type="math_number" id="4fHSg*^+k~6^bii@A0WS"><field name="NUM">1</field></block></value><value name="TO"><block type="math_number" id="*Fwev27vwbMvG~HR-|BP"><field name="NUM">8</field></block></value><value name="BY"><block type="math_number" id="-%H)|lh__AalJ71[8b1b"><field name="NUM">1</field></block></value><statement name="DO"><block type="neopixel_set1" id="b3,7cT1E{2af1S}o?jEt"><field name="PIN">P1</field><value name="PIX1"><shadow type="math_number" id=")Oi-!h#X-,sK{Vifu;a["><field name="NUM">1</field></shadow><block type="variables_get" id="P?(j-2ekDIo3[;elw6@w"><field name="VAR" id="z6,7,5:s$x|U9LG=pV#=">i</field></block></value><value name="RGB1"><shadow type="text" id="W|Q.jodeNIm+^#fIz+i;"><field name="TEXT">#330033</field></shadow><block type="math_arithmetic" id="W/%,x{m~Q~=.n~bFcTZk"><field name="OP">MULTIPLY</field><value name="A"><shadow type="math_number" id="a/qX3v)fv?5gMJw+]A2%"><field name="NUM">1</field></shadow><block type="variables_get" id="$C*?AA46L51V*#ORAWai"><field name="VAR" id="z6,7,5:s$x|U9LG=pV#=">i</field></block></value><value name="B"><shadow type="math_number" id=",-5,J+mGmKg|BZG$czRa"><field name="NUM">20</field></shadow></value></block></value><next><block type="time_sleep" id="Qrgm=yP!}~bY8/ORo-/K"><value name="VALUE"><shadow type="math_number" id="cxP[b9oPY`!.q22[0]X)"><field name="NUM">0.1</field></shadow></value></block></next></block></statement><next><block type="time_sleep" id="b{j6(=q![qbe6uO~y]HC"><value name="VALUE"><shadow type="math_number" id="CQ47d.?+xd3i|QkoqVCz"><field name="NUM">0.5</field></shadow></value><next><block type="controls_for" id="+E5#+*seOVZ2XcC/t#|@"><field name="VAR" id="z6,7,5:s$x|U9LG=pV#=">i</field><value name="FROM"><block type="math_number" id="A){gPtyT*]g2m)-HQGpW"><field name="NUM">8</field></block></value><value name="TO"><block type="math_number" id="L|eYkL3vbxKV*%ukHxNP"><field name="NUM">1</field></block></value><value name="BY"><block type="math_number" id="#ufLt{He/se3Lzi`{m=T"><field name="NUM">-1</field></block></value><statement name="DO"><block type="neopixel_set1" id="FL+v|hWk:7y$27K$@}qJ"><field name="PIN">P1</field><value name="PIX1"><shadow type="math_number" id="$/8bMgTNe[S74GOyov1M"><field name="NUM">1</field></shadow><block type="variables_get" id="KH]`5.5g1-iO{.#Z,oVw"><field name="VAR" id="z6,7,5:s$x|U9LG=pV#=">i</field></block></value><value name="RGB1"><shadow type="text" id="S$P(VqkL}QVxL]|c%M^E"><field name="TEXT">#000000</field></shadow></value><next><block type="time_sleep" id="E1$;q)[?cARWyr|^yG=d"><value name="VALUE"><shadow type="math_number" id="!I[!8Fq(!Q^@PG]:iOoL"><field name="NUM">0.02</field></shadow></value></block></next></block></statement></block></next></block></next></block></statement></block></xml>
