# NeoPixel Test and Demo
pixels_in_array = 7
import kooka, neopixel, machine
np = neopixel.NeoPixel(machine.Pin('P2'), pixels_in_array)
import time
red = (64,0,0)
green = (0,64,0)
blue = (0,0,64)
yellow = (32,32,0)
cyan = (0,32,32)
violet = (32,0,32)
white = (21,21,21)
black = (0,0,0)
colours =[red,green,blue,yellow,cyan,violet,white]

def demo(np):
    n = np.n
    print("No of pixels = ",n)
    print("Cycle individual pixels")
    # cycle
    for i in range(2 * n):
        for j in range(n):
            np[j] = black
        np[i % n] = white
        np.write()
        time.sleep_ms(100)

    # bounce
    print("Bounce pixels")
    for i in range(2 * n):
        for j in range(n):
            np[j] = blue
        if (i // n) % 2 == 0:
            np[i % n] = red
        else:
            np[n - 1 - (i % n)] = green
        np.write()
        time.sleep_ms(500)

    # fade in/out
    print("Fade pixels through range of brightness")
    for i in range(0, 4 * 256, 8):
        for j in range(n):
            if (i // 256) % 2 == 0:
                val = i & 0xff
            else:
                val = 255 - (i & 0xff)
            np[j] = (val, 0, 0)
        np.write()
        time.sleep_ms(50)
    
    # Colour tests
    print("Fill array with successive colours")
    for i,colour in enumerate(colours):
        np.fill(colour)
        np.write()
        time.sleep_ms(2000)
    np.fill(black)
    np.write()
    print("Rainbow of pixels")
    for i, colour in enumerate(colours):
        if i >= np.n: break
        np[i] = colour
        np.write()
        time.sleep_ms(2000)

    # clear
    print("Finished")
    np.fill(black)
    np.write()
    
demo(np)    